#if !defined(AFX_RESTREEVIEW_H__8C224D5C_8AE2_4006_B9D9_17C4A16328C9__INCLUDED_)
#define AFX_RESTREEVIEW_H__8C224D5C_8AE2_4006_B9D9_17C4A16328C9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ResTreeView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CResTreeView view

class CResTreeView : public CTreeView
{
protected:
	CResTreeView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CResTreeView)

// Attributes
public:

// Operations
public:
	void BuildPath(CString &str,HTREEITEM itm);
	void AddDirectory(CString &basepath,CString &dir,HTREEITEM par=TVI_ROOT);
	void UnResReportOnDir(Stuff::NotationFile *note_file,CString dir);
	void MultiResReport(Stuff::NotationFile *note_file);
	bool InResources(CString &str);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResTreeView)
	public:
	virtual BOOL OnChildNotify(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pLResult);
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CResTreeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CResTreeView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnToolsUnresourceifiedreport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESTREEVIEW_H__8C224D5C_8AE2_4006_B9D9_17C4A16328C9__INCLUDED_)
